## pidgin-awayonlock 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6) 

project(pidgin-awayonlock C)

# TODO: LOCALEDIR should be set for non-default installs
add_definitions(-DPACKAGE="${CMAKE_PROJECT_NAME}" -DLOCALEDIR=NULL)

set(CMAKE_C_FLAGS_DEBUG "-O0 -ggdb -Wall" CACHE STRING "" FORCE)

add_library(awayonlock SHARED awayonlock.c callback.c prefs.c)
install(TARGETS awayonlock LIBRARY DESTINATION lib/pidgin NAMELINK_SKIP)

find_package( PkgConfig REQUIRED )

pkg_check_modules( LIBPURPLE REQUIRED purple>=2.4.0 )
pkg_check_modules( GLIB REQUIRED glib-2.0 )
pkg_check_modules( DBUS_GLIB REQUIRED dbus-glib-1 )
include_directories(${LIBPURPLE_INCLUDE_DIRS} ${GLIB_INCLUDE_DIRS} ${DBUS_GLIB_INCLUDE_DIRS})
target_link_libraries(awayonlock ${LIBPURPLE_LIBRARIES} ${GLIB_LIBRARIES} ${DBUS_GLIB_LIBRARIES})

find_package(Gettext)
if(GETTEXT_FOUND)
	add_definitions(-DENABLE_NLS)
	add_subdirectory(i18n)
endif()

include(FeatureSummary)
print_enabled_features()

## pidgin-awayonlock 0.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 set(CMAKE_C_FLAGS_DEBUG "-O0 -ggdb -Wall" CACHE STRING "" FORCE)
 
 add_library(awayonlock SHARED awayonlock.c callback.c prefs.c)
-install(TARGETS awayonlock LIBRARY DESTINATION lib/pidgin NAMELINK_SKIP)
 
 find_package( PkgConfig REQUIRED )
 
@@ -18,6 +17,8 @@
 include_directories(${LIBPURPLE_INCLUDE_DIRS} ${GLIB_INCLUDE_DIRS} ${DBUS_GLIB_INCLUDE_DIRS})
 target_link_libraries(awayonlock ${LIBPURPLE_LIBRARIES} ${GLIB_LIBRARIES} ${DBUS_GLIB_LIBRARIES})
 
+install(TARGETS awayonlock LIBRARY DESTINATION ${LIBPURPLE_LIBDIR}/pidgin NAMELINK_SKIP)
+
 find_package(Gettext)
 if(GETTEXT_FOUND)
 	add_definitions(-DENABLE_NLS)

=== i18n/CMakeLists.txt ===
GETTEXT_CREATE_TRANSLATIONS(pidgin-awayonlock.pot ALL pt_BR.po)

=== debian/changelog ===
pidgin-awayonlock (0.5.2-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to 3.0 source format (closes: #1007679)
  * d/copyright: Convert to machine-readable format

 -- Bastian Germann <bage@debian.org>  Sat, 03 Dec 2022 01:36:56 +0100

pidgin-awayonlock (0.5.2-1) unstable; urgency=low

  * New upstream release
  * bump policy to 3.8.4 (no changes)

 -- Leo Costela <costela@debian.org>  Mon, 01 Feb 2010 14:24:52 +0100

pidgin-awayonlock (0.5.1-1) unstable; urgency=low

  * New upstream release
  * debian/watch: added

 -- Leo Costela <costela@debian.org>  Mon, 02 Nov 2009 23:11:27 +0100

pidgin-awayonlock (0.5-1) unstable; urgency=low

  * New upstream release
  * debian/control: bump policy (no changes)

 -- Leo Costela <costela@debian.org>  Sun, 01 Nov 2009 20:55:52 +0100

pidgin-awayonlock (0.4-1) unstable; urgency=low

  * New upstream release, now supports KScreensaver

 -- Leo Costela <costela@debian.org>  Thu, 23 Jul 2009 00:12:28 +0200

pidgin-awayonlock (0.3-1) unstable; urgency=low

  * New upstream release
  * debian/control: turn gnome-screensaver recommends into a versioned
    depends

 -- Leo Costela <costela@debian.org>  Sun, 19 Jul 2009 00:58:49 +0200

pidgin-awayonlock (0.2.2-1) unstable; urgency=low

  * New upstream release
  * debian/control:; bump policy to 3.8.2 (no changes)

 -- Leo Costela <costela@debian.org>  Fri, 17 Jul 2009 14:37:18 +0200

pidgin-awayonlock (0.2.1-1) unstable; urgency=low

  * new upstream release
  * bump policy to 3.8.1 (no changes)
  * add explicit libglib2.0-dev build-dep

 -- Leo Costela <costela@debian.org>  Mon, 01 Jun 2009 23:29:05 +0200

pidgin-awayonlock (0.1-1) unstable; urgency=low

  * first debian package (closes: #513846)

 -- Leo Costela <costela@debian.org>  Sun, 01 Feb 2009 16:55:32 +0100

=== debian/control ===
Source: pidgin-awayonlock
Section: net
Priority: optional
Maintainer: Leo Costela <costela@debian.org>
Build-Depends: debhelper (>= 7), cdbs (>= 0.4.10), cmake, libdbus-glib-1-dev, libpurple-dev, libglib2.0-dev
Standards-Version: 3.8.4
Homepage: http://costela.net/projects/awayonlock

Package: pidgin-awayonlock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pidgin, gnome-screensaver (>= 2.26) | kscreensaver (>= 4.2)
Description: pidgin plugin to set as away on screensaver activation
 Away-on-Lock is a simple plugin for pidgin (or any other libpurple-based 
 IM client) to change your status when the screensaver gets activated.
 .
 It currently supports gnome-screensaver and kscreensaver.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

=== debian/watch ===
version=3

http://costela.net/projects/awayonlock /files/awayonlock-(.*).tar.gz debian uupdate

## pidgin-awayonlock 0.6

=== debian/changelog ===
pidgin-awayonlock (0.6-1) unstable; urgency=medium

  * Point Homepage to Github
  * Point watch file to Github
  * Point source to Github
  * Remove Leo Costela from Uploaders (Thank you Leo for your previous work)
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Andreas Tille <tille@debian.org>  Sat, 17 Jan 2026 07:13:53 +0100

pidgin-awayonlock (0.5.2-5) unstable; urgency=medium

  * Should have added myself to follow ITS process.
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 15 Dec 2025 22:19:16 +0100

pidgin-awayonlock (0.5.2-4) unstable; urgency=medium

  * Team upload.
  * d/rules: -DCMAKE_POLICY_VERSION_MINIMUM=3.5 (Closes: #1113406)
  * d/p/0001: fix y2038 sprintf

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 01 Sep 2025 21:03:13 +0200

pidgin-awayonlock (0.5.2-3) unstable; urgency=medium

  * Team upload
  * Remove alternate Depends: gnome-screensaver to ease its removal from Debian
  * Add minimal debian/gbp.conf

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Feb 2025 15:29:56 -0500

pidgin-awayonlock (0.5.2-2) unstable; urgency=medium

  * Team upload.
  * Maintain in Package Salvage team
    Closes: #1088075
  * Fix Homepage
  * Switch from cdbs to dh
  * Fake watch file since upstream is inactive
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Propagate hardening options
  * Fix dependencies
    Closes: #950312
  * Fix clean target
    Closes: #1046305
  * Add cinnamon-screensaver as alternative
    Closes: #822622

 -- Andreas Tille <tille@debian.org>  Fri, 13 Dec 2024 09:18:08 +0100

=== debian/control ===
Source: pidgin-awayonlock
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: net
Build-Depends: debhelper-compat (= 13),
               cmake,
               libdbus-glib-1-dev,
               libpurple-dev,
               libglib2.0-dev
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/salvage-team/pidgin-awayonlock
Vcs-Git: https://salsa.debian.org/salvage-team/pidgin-awayonlock.git
Homepage: https://github.com/costela/awayonlock
Rules-Requires-Root: no

Package: pidgin-awayonlock
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pidgin,
         gnome-shell | kscreensaver (>= 4.2) | cinnamon-screensaver
Description: pidgin plugin to set as away on screensaver activation
 Away-on-Lock is a simple plugin for pidgin (or any other libpurple-based
 IM client) to change your status when the screensaver gets activated.
 .
 It currently supports cinnamon-screensaver and kscreensaver.

=== debian/watch ===
Version: 5

Template: Github
Owner: costela
Project: awayonlock
